
var eqIsOpen = false;

var vidIsOpen = false;
var vidOpenedVis = false;
var visEffectsIsOpen = false;
var visEffectsOpenedVis  = false;
var visEffectsOpenedPos  = 294;

var vPlistClosedPos = 220
var vPlistOpenedPos = 1;

var plClosedPos  = 175;
var plOpenedPos  = 70;
var plIsOpen     = false;

var plOpenedVis  = false;

var earSpeed = 500;
var vidSpeed = 500;

function OnTimerTick()
{
	var bw = player.network.bandwidth / 1000;
	bw = bw.toString();
	var intDecimal = bw.indexOf('.');
	bw = bw.substring(0,intDecimal+2);
	metadataBandWidth2.value = bw;
}


function Init()
{
   pl.setColumnResizeMode( 0, "Stretches" );
   pl.setColumnResizeMode( 1, "AutoSizeData" );
   txtArtist.value = player.currentMedia.getItemInfo('artist');
    if(player.OpenState==osMediaOpen)
    {
        OnPlayStateChange();
    }	
}


function OnOpenStateChange()
{
    if(player.OpenState == osMediaOpen)
    {
 	Init();          
    }
}


function OnPlayStateChange()
{
   txtArtist.value = player.currentMedia.getItemInfo('artist');
   switch(player.PlayState)
   {
   case 1:
   	endVideo();
   	break;
   case 3:
      if (player.currentMedia.ImageSourceWidth>0) {
      		bePokey();
		startVideo();
      }
      break;
   }	
}

function togglePlView()
{
   if(plIsOpen)
   {
      pl.visible = false;
      vPlist.moveto(vPlistClosedPos, vPlist.top, earSpeed);
   }
   else
   {
      vPlist.moveto(vPlistOpenedPos, vPlist.top, earSpeed);
   }
   plIsOpen = !plIsOpen;
}

function plOnEndMove()
{
	pl.visible = plIsOpen;
}


// EQ tooltips are set dynamically, because otherwise they popup when the EQ is closed... bug?
eqToolTips = new Array("60 Hz","170 Hz","310 Hz","600 Hz","1 khz","3kHz","6kHz","12 kHz","14 kHz","16 kHz");

function toggleEqView() {
	if(eqIsOpen) {
		vEq.moveto(289,vEq.top,earSpeed);
		for(i=1; i<=10; i++) {
			eval("eq" + i + ".tooltip=''");
		}
	} else {
		vEq.moveto(506,vEq.top,earSpeed);
		for(i=1; i<=10; i++) {
			eval("eq" + i + ".tooltip='" + eqToolTips[i-1] + "';");
		}
	}
	eqIsOpen = !eqIsOpen;
}



function toggleVidView() {
	if(vidIsOpen) {
		visEffects.visible = false;
		vid.visible = false;
		vVideo.moveTo(vVideo.left,137,vidSpeed);
	} else {
		vVideo.moveTo(vVideo.left,285,vidSpeed);
	}
	vidIsOpen = !vidIsOpen;	
}


function vidOnEndMove()
{
   if(vidIsOpen){
	if(player.currentMedia.ImageSourceWidth>0){
		vid.visible = true;
		visEffects.visible = false;
  	  } else {
		vid.visible = false;
		visEffects.visible = true;
	}
    }
}


function startVideo() {
	visEffects.visible = false;
	if(!vidIsOpen) {
		toggleVidView();
	}else{
		vid.visible = true;
	}
}

function endVideo() {

	if (vidIsOpen) {
		toggleVidView();
	}
	player.controls.stop();
}


function ChangeMode() {
	if(btnShuffle.upToolTip=="Shuffle"){
		btnShuffle.upToolTip = "Normal";
	} else {
		btnShuffle.upToolTip = "Shuffle";
	}
	player.settings.mode=shuffle;
}

function Rotate(direction){
	if(direction=="down"){
		if(txtTime.visible==true){
			txtTime.visible=false;
			tTime2.visible=false;
			txtBandWidth.visible=true;
			metadataBandWidth2.visible=true;
			txtRate.visible=false;
			metadataTransfer.visible=false;
		}else if(txtBandWidth.visible==true){
			txtTime.visible=false;
			tTime2.visible=false;
			txtBandWidth.visible=false;
			metadataBandWidth2.visible=false;
			txtRate.visible=true;
			metadataTransfer.visible=true;		
		}else{
			txtTime.visible=true;
			tTime2.visible=true;
			txtBandWidth.visible=false;
			metadataBandWidth2.visible=false;
			txtRate.visible=false;
			metadataTransfer.visible=false;
		}	
	} else {
		if(txtTime.visible==true){
			txtTime.visible=false;
			tTime2.visible=false;
			txtBandWidth.visible=false;
			metadataBandWidth2.visible=false;
			txtRate.visible=true;
			metadataTransfer.visible=true;
		}else if(txtBandWidth.visible==true){
			txtTime.visible=true;
			tTime2.visible=true;
			txtBandWidth.visible=false;
			metadataBandWidth2.visible=false;
			txtRate.visible=false;
			metadataTransfer.visible=false;		
		}else{
			txtTime.visible=false;
			tTime2.visible=false;
			txtBandWidth.visible=true;
			metadataBandWidth2.visible=true;
			txtRate.visible=false;
			metadataTransfer.visible=false;
		}	
	}
}

/* ------------------------DELAY FUNCTION-------------------------*/
function bePokey() {
	var i=0;
	
	i = 69566.9807 / 3456.899080;
}